#pragma once

#include <godot_cpp/classes/node.hpp>

namespace blitz {

class Main : public godot::Node {
	GDCLASS(Main, godot::Node)
  protected:
	static void _bind_methods();

  public:
	Main();
	~Main();

	void _ready() override;

	void ChangeScene(bool a_Server);
};

}  // namespace blitz